package com.eugenefn.openapi.sample.view.screen;

import android.app.Activity;
import android.content.Context;
import android.graphics.Color;
import android.widget.FrameLayout;

import com.eugenefn.openapi.dev.SmartChampDev;

/**
 * TR/실시간 서비스 테스트용 화면
 */
public class QueryTestView extends SiseBaseView
{
    private static final String LOG_TAG = " 서비스테스트";

    // 화면 표시 뷰

     public QueryTestView(Context context)
    {
        super(context);

        setBackgroundColor(Color.WHITE);

    }

    //화면 초기화
    @Override
    public void initView(Context context, Activity activity)
    {
        super.initView(context, activity);

        SmartChampDev.initInstance(activity);

        FrameLayout layoutFrame = SmartChampDev.makeTestView(context);

        addView(layoutFrame, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
    }

    public void releaseView()
    {
        removeAllViews();

        SmartChampDev.releaseInstance();
    }

    public void onRefreshView()
    {
    }
}
